Subject: bug#3224: 23.0.92; vc-dir vs uniquify: wrong directory used

From: Stefan Monnier <[email-masked]>
Date: Thu, 07 Jan 2010 14:57:09 -0500

> Does it work if you have multiple *vc-dir* buffers for the same
> directory?
> Do something like:
> mkdir /tmp/test
> cd /tmp/test
> git init
> bzr init

> C-u C-x v d /tmp/test RET Bzr RET
> C-u C-x v d /tmp/test RET Git RET

Depending on what you mean by "work", I think it does work, but probably
not ideally.  To make it work better, maybe the backend name should
appear in the list-buffers-directory.  E.g.
/foo/bar/*vc-dir-BACKEND* or /foo/bar/BACKEND/*vc-dir*.
OTOH it should not be a common case, so maybe it's not that important to
make it work well.

> I'm fine with it if you convince Stefan this is TRTD.

It's what I use in PCL-CVS.

        Stefan